2001-01-24  Fernando Nasser  <fnasser@redhat.com>

	* infcmd.c (get_inferior_args, set_inferior_args): Accessor functions
	for the inferior program arguments.
	(run_command, run_no_args_command, init_infcmd)): Use accessor
	functions to set the inferior program arguments.
	* inferior.h: Add definitions to the accessor functions above.

2001-01-23  Jim Blandy  <jimb@redhat.com>

	* dwarf2read.c (read_tag_const_type, read_tag_volatile_type):
	Implement these correctly, using make_cv_type.

2001-01-23  J.T. Conklin  <jtc@redback.com>

	* exec.c (xfer_memory): Add attrib argument.
	* infptrace.c (child_xfer_memory): Likewise.
	* lin-lwp.c (lin_lwp_xfer_memory): Likewise.
	* monitor.c (monitor_xfer_memory): Likewise.
	* remote-adapt.c (adapt_xfer_inferior_memory): Likewise.
	* remote-array.c (array_xfer_memory): Likewise.
	* remote-bug.c (bug_xfer_memory): Likewise.
	* remote-e7000.c (e7000_xfer_inferior_memory): Likewise.
	* remote-eb.c (eb_xfer_inferior_memory): Likewise.
	* remote-es.c (es1800_xfer_inferior_memory): Likewise.
	* remote-mips.c (mips_xfer_memory): Likewise.
	* remote-mm.c (mm_xfer_inferior_memory): Likewise.
	* remote-nindy.c (nindy_xfer_inferior_memory): Likewise.
	* remote-os9k.c (rombug_xfer_inferior_memory): Likewise.
	* remote-rdi.c (arm_rdi_xfer_memory): Likewise.
	* remote-rdp.c (remote_rdp_xfer_inferior_memory): Likewise.
	* remote-sds.c (sds_xfer_memory): Likewise.
	* remote-sim.c (gdbsim_xfer_inferior_memory): Likewise.
	* remote-st.c (st2000_xfer_inferior_memory): Likewise.
	* remote-udi.c (udi_xfer_inferior_memory): Likewise.
	* remote-vx.c (vx_xfer_memory): Likewise.
	* remote.c (remote_xfer_memory): Likewise.
	* target.c (debug_to_xfer_memory, do_xfer_memory): Likewise.
	* target.h (child_xfer_memory, do_xfer_memory, xfer_memory): Likewise.
	* thread-db.c (thread_db_xfer_memory): Likewise.

	* target.h (#include "memattr.h"): Added.
	(target_ops.to_xfer_memory): Add attrib argument.

	* wince.c (_initialize_inftarg): Removed call to set_dcache_state.
	* dcache.h (set_dcache_state): Removed declaration.
	* dcache.c (set_dcache_state): Removed definition
	
	* dcache.c: Update module comment, as dcache is now enabled and
 	disabled with memory region attributes instead of by the global
 	variable "remotecache".  Add comment describing the interaction
	between dcache and memory region attributes.
	(dcache_xfer_memory): Add comment describing benefits of moving
	cache writeback to a higher level.
	(dcache_struct): Removed cache_has_stuff field.  This was used to
 	record whether the cache had been accessed in order to invalidate
 	it when it was disabled.  However, this is not needed because the
 	cache is write through and the code that enables, disables, and
 	deletes memory regions invalidate the cache.  Add comment which
 	suggests that we could be more selective and only invalidate those
	cache lines containing data from those memory regions.
	(dcache_invalidate): Updated.
	(dcache_xfer_memory): Updated.
	
	(dcache_alloc): Don't abort() if dcache_enabled_p is clear.
	(dcache_xfer_memory): Removed code that called do_xfer_memory() to
 	perform a uncached transfer if dcache_enabled_p was clear.  This
 	function is now only called if caching is enabled for the memory
	region.
	(dcache_info): Always print cache info.

	* target.c (do_xfer_memory): Add attrib argument.
	(target_xfer_memory, target_xfer_memory_partial): Break transfer
 	into chunks defined by memory regions, pass region attributes to
 	do_xfer_memory().
	* dcache.c (dcache_read_line, dcache_write_line): Likewise.

	* Makefile.in (SFILES): Add memattr.c.
	(COMMON_OBS): Add memattr.o.
	(dcache.o): Add target.h to dependencies.
	* memattr.c: New file.
	* memattr.h: Likewise.

	* config/m32r/m32r.mt (GDBSERVER_LIBS): Added ../../intl/libintl.a.
	* config/mips/vr5000.mt (GDBSERVER_LIBS): Likewise.
	* config/tic80/tic80.mt (GDBSERVER_LIBS): Likewise.
	* gdbserver/low-sim.c (#include "defs.h"): Removed.
	(mygeneric_load): Rename from generic_load.
	
	* gdbserver/low-hppabsd.c (#include "server.h"): Added.
	(#include "defs.h"): Removed.
	(inferior_pid, perror_with_name): Remove declarations.
	* gdbserver/low-linux.c: Likewise.
	* gdbserver/low-nbsd.c: Likewise.
	* gdbserver/low-sparc.c: Likewise.
	* gdbserver/low-sun3.c: Likewise.

	* i386-stub.c: Re-indent.
	* m68k-stub.c: Re-indent.

2001-01-22  Nicholas Duffek  <nsd@redhat.com>

	* gdbarch.sh (PARM_BOUNDARY): Define.
	* gdbarch.c: Regenerate.
	* gdbarch.h: Regenerate.

2001-01-22  J.T. Conklin  <jtc@redback.com>

	* ns32k-tdep.c: #include "frame.h"
	* config/ns32k/tm-umax.h (FRAME_FIND_SAVED_REGS): Restore.  It
 	appears to have been inadvertantly removed sometime in May 1999.

	* Revert 2000-11-09 changes where shared library objects were
 	moved from NATDEPFILES to TDEPFILES on NetBSD targets.  While
	we'd like to be able to debug dynamically linked executables,
	this makes it impossible to build a cross debugger on a many
	hosts.

	* config/i386/nbsd.mt: Remove solib.o, solib-svr4.o from TDEPFILES.
        * config/i386/nbsdelf.mt: Likewise.
        * config/m68k/nbsd.mt: Likewise.
        * config/ns32k/nbsd.mt: Likewise.
        * config/powerpc/nbsd.mt: Likewise.
        * config/sparc/nbsd.mt: Likewise.
        * config/sparc/nbsdelf.mt: Likewise.
        * config/i386/nbsd.mh: Add solib.o, solib-svr4.o to NATDEPFILES.
        * config/i386/nbsdelf.mh: Likewise. 
        * config/m68k/nbsd.mh: Likewise.
        * config/ns32k/nbsd.mh: Likewise.
        * config/powerpc/nbsd.mh: Likewise.
        * config/sparc/nbsd.mh: Likewise.

2001-01-19  Jason Merrill  <jason@redhat.com>

	* dbxread.c (read_ofile_symtab): Stay with AUTO_DEMANGLING for G++.
	(process_one_symbol): Likewise.
	* dwarfread.c (handle_producer): Likewise.

Thu Jan 18 12:08:57 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* configure.in (build_warnings): Disable -Wuninitialized until GDB
 	compiles with -Wuninitialized,-Werror.
	* configure: Regenerate.

	* MAINTAINERS: Add list of buildable targets.

Thu Jan 18 12:48:04 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* defs.h (STRCMP): Delete macro.

	* objfiles.c (objfile_relocate): Replace STRCMP with call to
 	strcmp.
	* symtab.c (lookup_partial_symbol, lookup_block_symbol): Ditto.
	* symfile.c (compare_symbols):  Ditto.
	* standalone.c (open):  Ditto.
	* remote-es.c (verify_break):  Ditto.
	* cli/cli-decode.c (add_cmd, add_show_from_set): Ditto.

	* symfile.c (compare_psymbols): Delete comment refering to STRCMP.

Thu Jan 18 12:25:06 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* varobj.c (FREEIF): Delete macro.
	(varobj_set_value, free_variable): Replace FREEIF with ``xfree''
 	call.

2001-01-18  Nick Clifton  <nickc@redhat.com>

	* arc-tdep.c (arc_cpu_type_table): Add new arc core numbers.
	(arc_print_insn): No bfd available, so pass NULL to
	arc_get_disassembler.

2001-01-09  James Ingham  <jingham@inghji.apple.com>

         * symtab.c (lookup_symbol_aux): Call lookup_symbol_aux to lookup
 	 a mangled symbol rather than recursing into lookup_symbol, since
 	 this will just re-unmangle the name & call lookup_symbol_aux -
 	 leading to an infinite recursion.

2001-01-18  Mark Kettenis  <kettenis@gnu.org>

	* infcmd.c (print_return_value): Restore another space lost by
	switch to UIOUT. ``$NN='' should be ``$NN =''.

Fri Jan 19 02:31:40 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* target.h (TARGET_REGION_SIZE_OK_FOR_HW_WATCHPOINT)
	* breakpoint.c (TARGET_REGION_OK_FOR_HW_WATCHPOINT): Wrap macro
 	definition in parenthesis.

Fri Jan 19 02:13:40 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	From 2000-10-27 Mark Salter <msalter@redhat.com>:
	* remote.c (remote_remove_hw_breakpoint): Add 'len' field to Z
 	packet.
	(remote_insert_hw_breakpoint): Ditto.

2001-01-17  J.T. Conklin  <jtc@redback.com>

	* config/m68k/tm-nbsd.h (USE_STRUCT_CONVENTION): Define.
	(BPT_VECTOR, REMOTE_BPT_VECTOR): Change to 0xf.
	* config/m68k/nbsd.mt (TDEPFILES): Add m68knbsd-tdep.o.
	* m68knbsd-tdep.c: New file.

	* i386nbsd-tdep.c: Remove #if 0'd out #includes.

	* m68knbsd-nat.c: #include gdbcore.h.

Wed Jan 17 09:41:58 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* MAINTAINERS: Add J.T. Conklin to Blanket Write Privs.

2001-01-16  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* procfs.c (procfs_stopped_by_watchpoint): Don't die if process
	goes away -- just return false (ie. not stopped by watchpoint).
	* source.c (openp): Fix typo in comment.

2001-01-12  Nicholas Duffek  <nsd@redhat.com>

	* blockframe.c (generic_get_saved_register): Spelling fix.
	* frame.h (FRAME_FP): Spelling fix.

Fri Jan 12 18:29:46 2001  Andrew Cagney  <cagney@b1.cygnus.com>

	* infcmd.c (print_return_value): Restore space lost by switch to
 	UIOUT. ``$NN='' should be ``$NN =''.
	
2001-01-08  Nicholas Duffek  <nsd@redhat.com>

	* regcache.c (set_register_cached, register_buffer,
	real_register, pseudo_register fetch_register, store_register):
	New functions.
	(register_changed, read_relative_register_raw_bytes_for_frame,
	registers_changed, registers_fetched, read_register_bytes,
	read_register_gen, write_register_gen, read_register,
	read_signed_register, write_register, supply_register): Replace
	register_valid[] with register_cached() and
	set_register_cached().
	(read_register_bytes, read_register_gen, write_register_gen,
	read_register, read_signed_register, write_register,
	supply_register): Replace registers[] with register_buffer().
	(read_register_bytes, read_register_gen, read_register,
	read_signed_register): Call fetch_register().
	(write_register_gen, write_register): Call real_register() and
	store_register().
	(write_register_bytes): Call store_register().
	* value.h (set_register_cached, register_buffer): Prototype.
	* remote.c (remote_fetch_registers): Allocate regs[] with a
	run-time size.  Replace register_valid[] with
	set_register_cached().
	(store_register_using_P, remote_store_registers): Replace
	registers[] with register_buffer().

2001-01-08  Nicholas Duffek  <nsd@redhat.com>

	* regcache.c: Change "write-back" comment to "write-through".
	Change "regno" to "regnum".
	(read_register, read_signed_register): Remove "raw" from return
	value description.
	(supply_register): Spelling fix.
	* value.h: Change "regno" to "regnum".

2001-01-08  Fernando Nasser  <fnasser@redhat.com>

	* Makefile.in (install-gdbtk): Add .itcl files to the list of files
	to be installed.

2001-01-04  Michael Snyder  <msnyder@mvstp600e.cygnus.com>

	* mips-tdep.c (mips_coerce_float_to_double): Fix typo in comment.

2001-01-04  Nicholas Duffek  <nsd@redhat.com>

	* valops.c (VALUE_SUBSTRING_START): Delete.

2001-01-04  Nicholas Duffek  <nsd@redhat.com>

	* Makefile.in (SUBDIR_CLI_OBS): Add cli/cli-utils.o.
	(SUBDIR_CLI_SRCS): Add cli/cli-utils.c.
	(cli_utils_h): New variable.
	(cli/cli-utils.o): New rule.
	* cli/cli-utils.c: New file.
	* cli/cli-utils.h: New file.

2001-01-04  Nicholas Duffek  <nsd@redhat.com>

	* config/i386/tm-i386.h (REGISTER_CONVERT_TO_VIRTUAL,
	REGISTER_CONVERT_TO_RAW): Delete trailing semicolon.

2001-01-03  J.T. Conklin  <jtc@redback.com>

	* alphabsd-nat.c, i386-linux-nat.c, i386bsd-nat.c: Fix typo in
 	comment.

2001-01-02  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* sh-tdep.c (sh_extract_return_value):  Allow for small return type.
	(sh_sh4_extract_return_value): Call sh_extract_return_value for
	non-float types.
	* sparc-tdep.c (sparc_frame_chain): Fix typo in comment.
	Update copyright notice.
	
For older changes see ChangeLog-2000

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
